## org.apache.poi.xssf.usermodel
Class XSSFRelation

    java.lang.Object
      org.apache.poi.POIXMLRelation
          org.apache.poi.xssf.usermodel.XSSFRelation

    public final class XSSFRelation

extends POIXMLRelation

Field Summary
`protected static java.util.Map<java.lang.String,XSSFRelation>` `_table` A map to lookup POIXMLRelation by its relation type
`static XSSFRelation` `ACTIVEX_BINS`
`static XSSFRelation` `ACTIVEX_CONTROLS`
`static XSSFRelation` `CALC_CHAIN`
`static XSSFRelation` `CHART`
`static XSSFRelation` `CHARTSHEET`
`static XSSFRelation` `CUSTOM_XML_MAPPINGS`
`static XSSFRelation` `DRAWINGS`
`static XSSFRelation` `IMAGE_BMP`
`static XSSFRelation` `IMAGE_DIB`
`static XSSFRelation` `IMAGE_EMF`
`static XSSFRelation` `IMAGE_EPS`
`static XSSFRelation` `IMAGE_GIF`
`static XSSFRelation` `IMAGE_JPEG`
`static XSSFRelation` `IMAGE_PICT`
`static XSSFRelation` `IMAGE_PNG`
`static XSSFRelation` `IMAGE_TIFF`
`static XSSFRelation` `IMAGE_WMF`
`static XSSFRelation` `IMAGE_WPG`
`static XSSFRelation` `IMAGES`
`static XSSFRelation` `MACRO_ADDIN_WORKBOOK`
`static XSSFRelation` `MACRO_TEMPLATE_WORKBOOK`
`static XSSFRelation` `MACROS_WORKBOOK`
`static XSSFRelation` `OLEEMBEDDINGS`
`static XSSFRelation` `PACKEMBEDDINGS`
`static XSSFRelation` `PRINTER_SETTINGS`
`static XSSFRelation` `SHARED_STRINGS`
`static XSSFRelation` `SHEET_COMMENTS`
`static XSSFRelation` `SHEET_HYPERLINKS`
`static XSSFRelation` `SINGLE_XML_CELLS`
`static XSSFRelation` `STYLES`
`static XSSFRelation` `TABLE`
`static XSSFRelation` `TEMPLATE_WORKBOOK`
`static XSSFRelation` `THEME`
`static XSSFRelation` `VBA_MACROS`
`static XSSFRelation` `VML_DRAWINGS`
`static XSSFRelation` `WORKBOOK`
`static XSSFRelation` `WORKSHEET`

Fields inherited from class org.apache.poi.POIXMLRelation
`_defaultName, _relation, _type`

Method Summary
`java.io.InputStream` `getContents(PackagePart corePart)` Fetches the InputStream to read the contents, based of the specified core part, for which we are defined as a suitable relationship
`static XSSFRelation` `getInstance(java.lang.String rel)` Get POIXMLRelation by relation type

Methods inherited from class org.apache.poi.POIXMLRelation
`getContentType, getDefaultFileName, getFileName, getRelation, getRelationClass`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _table

    protected static java.util.Map<java.lang.String,XSSFRelation> _table

  A map to lookup POIXMLRelation by its relation type

### WORKBOOK

    public static final XSSFRelation WORKBOOK

### MACROS_WORKBOOK

    public static final XSSFRelation MACROS_WORKBOOK

### TEMPLATE_WORKBOOK

    public static final XSSFRelation TEMPLATE_WORKBOOK

### MACRO_TEMPLATE_WORKBOOK

    public static final XSSFRelation MACRO_TEMPLATE_WORKBOOK

### MACRO_ADDIN_WORKBOOK

    public static final XSSFRelation MACRO_ADDIN_WORKBOOK

### WORKSHEET

    public static final XSSFRelation WORKSHEET

### CHARTSHEET

    public static final XSSFRelation CHARTSHEET

### SHARED_STRINGS

    public static final XSSFRelation SHARED_STRINGS

### STYLES

    public static final XSSFRelation STYLES

### DRAWINGS

    public static final XSSFRelation DRAWINGS

### VML_DRAWINGS

    public static final XSSFRelation VML_DRAWINGS

### CHART

    public static final XSSFRelation CHART

### CUSTOM_XML_MAPPINGS

    public static final XSSFRelation CUSTOM_XML_MAPPINGS

### SINGLE_XML_CELLS

    public static final XSSFRelation SINGLE_XML_CELLS

### TABLE

    public static final XSSFRelation TABLE

### IMAGES

    public static final XSSFRelation IMAGES

### IMAGE_EMF

    public static final XSSFRelation IMAGE_EMF

### IMAGE_WMF

    public static final XSSFRelation IMAGE_WMF

### IMAGE_PICT

    public static final XSSFRelation IMAGE_PICT

### IMAGE_JPEG

    public static final XSSFRelation IMAGE_JPEG

### IMAGE_PNG

    public static final XSSFRelation IMAGE_PNG

### IMAGE_DIB

    public static final XSSFRelation IMAGE_DIB

### IMAGE_GIF

    public static final XSSFRelation IMAGE_GIF

### IMAGE_TIFF

    public static final XSSFRelation IMAGE_TIFF

### IMAGE_EPS

    public static final XSSFRelation IMAGE_EPS

### IMAGE_BMP

    public static final XSSFRelation IMAGE_BMP

### IMAGE_WPG

    public static final XSSFRelation IMAGE_WPG

### SHEET_COMMENTS

    public static final XSSFRelation SHEET_COMMENTS

### SHEET_HYPERLINKS

    public static final XSSFRelation SHEET_HYPERLINKS

### OLEEMBEDDINGS

    public static final XSSFRelation OLEEMBEDDINGS

### PACKEMBEDDINGS

    public static final XSSFRelation PACKEMBEDDINGS

### VBA_MACROS

    public static final XSSFRelation VBA_MACROS

### ACTIVEX_CONTROLS

    public static final XSSFRelation ACTIVEX_CONTROLS

### ACTIVEX_BINS

    public static final XSSFRelation ACTIVEX_BINS

### THEME

    public static final XSSFRelation THEME

### CALC_CHAIN

    public static final XSSFRelation CALC_CHAIN

### PRINTER_SETTINGS

    public static final XSSFRelation PRINTER_SETTINGS

Method Detail

### getContents

    public java.io.InputStream getContents(PackagePart corePart)
                                    throws java.io.IOException,
                                           InvalidFormatException

  Fetches the InputStream to read the contents, based of the specified core part, for which we are defined as a suitable relationship

  Throws:
    `java.io.IOException`
    `InvalidFormatException`

### getInstance

    public static XSSFRelation getInstance(java.lang.String rel)

  Get POIXMLRelation by relation type

  Parameters:
    `rel` - relation type, for example, `http://schemas.openxmlformats.org/officeDocument/2006/relationships/image`
  Returns:
    registered POIXMLRelation or null if not found

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.